Bug 1607438 - Alerts do not trigger and do not send email notification
Summary: Alerts do not trigger and do not send email notification
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.9.5
Assignee: Harpreet Kataria
QA Contact: juwatts
URL:
Whiteboard:
Depends On: 1578115
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-23 14:28 UTC by Satoe Imaishi
Modified: 2018-11-05 13:59 UTC (History)
15 users (show)

Fixed In Version: 5.9.5.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1578115
Environment:
Last Closed: 2018-11-05 13:58:27 UTC
Category: ---
Cloudforms Team: Container Management


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3466 None None None 2018-11-05 13:59:13 UTC

Comment 2 CFME Bot 2018-09-17 16:52:54 UTC
New commit detected on ManageIQ/manageiq-ui-classic/gaprindashvili:

https://github.com/ManageIQ/manageiq-ui-classic/commit/910a335d0d1bf17a12dad529a5f01d487cc3f5e8
commit 910a335d0d1bf17a12dad529a5f01d487cc3f5e8
Author:     Milan Zázrivec <mzazrivec@redhat.com>
AuthorDate: Fri Jul 20 11:24:35 2018 -0400
Commit:     Milan Zázrivec <mzazrivec@redhat.com>
CommitDate: Fri Jul 20 11:24:35 2018 -0400

    Merge pull request #4324 from h-kataria/alert_editor_changes_for_contaiers

    Hide Driving Event field for Containers.
    (cherry picked from commit 6b0c4001d649c6be2f16ed49e13bb4e04e187f83)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1607438

 app/controllers/miq_policy_controller/alerts.rb | 12 +-
 app/views/miq_policy/_alert_details.html.haml | 4 +-
 spec/controllers/miq_policy_controller/alerts_spec.rb | 42 +
 3 files changed, 55 insertions(+), 3 deletions(-)

Comment 3 juwatts 2018-10-01 15:04:30 UTC
Version: 9.5.0.20180927190514_e161d8f

Verification Steps:
1) Navigate to Control -> Explorer -> Alerts
2) Select "Configuration", "Add a New Alert"
3) Select "Container Node" as the "Based On" value
4) Verified the "Driving Even"t drop down is no longer present

Comment 5 errata-xmlrpc 2018-11-05 13:58:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3466


Note You need to log in before you can comment on or make changes to this bug.